Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.util
Class MetaABMXMLProcessor

    java.lang.Object
      org.eclipse.emf.ecore.xmi.util.XMLProcessor
          org.metaabm.util.MetaABMXMLProcessor

    public class MetaABMXMLProcessor

extends org.eclipse.emf.ecore.xmi.util.XMLProcessor

This class contains helper methods to serialize and deserialize XML documents

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.util.XMLProcessor
`ecoreBuilder, extendedMetaData, loadOptions, registrations, registry, saveOptions, STAR_EXTENSION, XML_EXTENSION, XML_URI`

Constructor Summary
`MetaABMXMLProcessor()` Public constructor to instantiate the helper.

Method Summary
`protected java.util.Map<java.lang.String,org.eclipse.emf.ecore.resource.Resource.Factory>` | `getRegistrations()` Register for "*" and "xml" file extensions the MetaABMResourceFactoryImpl factory.

Methods inherited from class org.eclipse.emf.ecore.xmi.util.XMLProcessor
`createEcoreBuilder, createExtendedMetaData, createResourceSet, getEPackageRegistry, getExtendedMetaData, load, load, load, load, save, save, save, saveToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMXMLProcessor

    public MetaABMXMLProcessor()

  Public constructor to instantiate the helper.

Method Detail

### getRegistrations

    protected java.util.Map<java.lang.String,org.eclipse.emf.ecore.resource.Resource.Factory> getRegistrations()

  Register for "*" and "xml" file extensions the MetaABMResourceFactoryImpl factory.

  Overrides:
    `getRegistrations` in class `org.eclipse.emf.ecore.xmi.util.XMLProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD